Technical Forum

Decentral Peripherie

im151-8F cpu download

Thread Starter: ggs24   Started: 11/29/2010 11:19 PM   Replies: 14

« Previous thread Next thread »
12» Page 1 of 2 (15 items)
  11/29/2010, 11:19 PM
Joined 11/17/2010
Last visit: 11/26/2013
Posts: 26
Rating:
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Hello,

I am trying to download a safety program to an IM151-8F pn/dp cpu.  I have already successfully downloaded the hw config.  The safety program successfully compiles.  When trying to download the safety program I get an error message 294:23 for each and every failsafe block (cannot load safety related program to this module).  All non-safety blocks load fine.  Am I missing something here?  I have worked with many 300F cpus with no problem but this is my first im151 cpu. 

Please see attached screenshot.

Kind regards,
Greg

Attachment: DownloadFault.JPG  (29 Downloads)

Top
  11/30/2010, 6:34 AM
Joined 3/21/2006
Last visit: 7/22/2014
Posts: 9863
Rating:
Rated: Outstanding [3.91 out of 5 / rated 1043 time(s)]. (1043) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Hello,

Did you check in : STEP 7 Fehlercodes (English) if some of remedies there could helps.

Best regards,
Hristo Mihalev
Top
  11/30/2010, 1:13 PM
Joined 11/17/2010
Last visit: 11/26/2013
Posts: 26
Rating:
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Hristo,

Thanks for your response.  Yes I checked that out and nothing seems obvious to me.  It seems that I cannot download any failsafe blocks.  It fails on the F-call, and every other failsafe block it tries to download (including f-db's).  Do you have any other suggestions?

Kind regards,

Greg
Top
  11/30/2010, 2:38 PM
Joined 11/17/2010
Last visit: 11/26/2013
Posts: 26
Rating:
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 

I just realized that the hw config is showing firmware version 2.7 while the cpu contains 2.7.1.  I made new hw config for testing, and when trying to download it gave me a mismatch error, and proceeded to tell me I cannot load safety program into this module.  Is there new hw update?  I have Installed lates hw updates and f-config pack. Please help!!cry

Greg

Top
  11/30/2010, 2:49 PM
Joined 3/21/2006
Last visit: 7/22/2014
Posts: 9863
Rating:
Rated: Outstanding [3.91 out of 5 / rated 1043 time(s)]. (1043) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Hello,

There exist 6ES7 151-8FB01-0AB0 3.2 but needs at least Step7 5.5 and Distributed Safety V5.4 SP1 software. What do you have there?

Best regards,
Hristo Mihalev
Top
  11/30/2010, 2:54 PM
Joined 11/17/2010
Last visit: 11/26/2013
Posts: 26
Rating:
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Thank you for you response.  I am using Step 7 V5.5 + Dist Safety 5.4 +sp5.  I can see there is a newer version.  Can I update the firmware on 8FB00 to match 8FB01?  Where can I find the file?togue

Greg
Top
  11/30/2010, 3:05 PM
Joined 3/21/2006
Last visit: 7/22/2014
Posts: 9863
Rating:
Rated: Outstanding [3.91 out of 5 / rated 1043 time(s)]. (1043) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Greg, there is no way,
wrote:

Note: Firmware V3.2 can only execute on the new IM151-8(F) PN/DP CPUs with order no.'s 6ES7151-8AB01-0AB0 and 6ES7151-8FB01-0AB0 and cannot be installed on the predecessor hardware.

More at Innovated ET200S IM151-8(F) PN/DP CPU V3.2 Released for Delivery  
Try to put in hardware configuration the newer type CPU and download... Just check the result...

Best regards,
Hristo Mihalev

Top
  11/30/2010, 3:21 PM
Joined 11/17/2010
Last visit: 11/26/2013
Posts: 26
Rating:
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Hristo,

I appreciate your help in this matter.  I have tried your suggestion, but I get the same result with both versions.  The only versions showing in the catalog are 8FB00 (192K, V2.7) 8FB01 (256K, V3.2).  Somehow this CPU has newer firmware that is not showing in the catalog?mad  Please see attached screen shot.

Greg

Attachment: FirmwareMismatch.JPG  (17 Downloads)

Top
  11/30/2010, 3:39 PM
Joined 3/21/2006
Last visit: 7/22/2014
Posts: 9863
Rating:
Rated: Outstanding [3.91 out of 5 / rated 1043 time(s)]. (1043) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
No,no both 2.7 and 2.7.1 are the same firmware version 2.7. Try to delete the program, put the 0BA01 in hardware configuration and download in empty CPU...

Best regards,
Hristo Mihalev
Top
  11/30/2010, 3:55 PM
Joined 11/17/2010
Last visit: 11/26/2013
Posts: 26
Rating:
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Rated: no ratings [0 out of 5 / rated 0 time(s)]. (0) 
Hristo,

Still no luck.  Please see attached screen shot(s).  They are in order of appearance from top to bottom.  I deleted program, reset MMC, and attempted to download new hw config with v3.2.

Kind regards,

Greg

Attachment: DownloadFault3.2.JPG  (22 Downloads)

Top
12» Page 1 of 2 (15 items)
Actions